Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517422 - [WA] : Volume Overview shows brick count,geo rep sessions as "Invalid Number".
Summary: [WA] : Volume Overview shows brick count,geo rep sessions as "Invalid Number".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nishanth Thomas
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On: 1598345 1603175
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-25 05:03 UTC by Ambarish
Modified: 2018-09-04 07:00 UTC (History)
6 users (show)

Fixed In Version: tendrl-gluster-integration-1.6.1-1.el7rhgs, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:59:21 UTC


Attachments (Terms of Use)
Volume Overview (deleted)
2017-11-25 05:05 UTC, Ambarish
no flags Details
Dashboard (deleted)
2017-11-25 05:05 UTC, Ambarish
no flags Details
Georep active (deleted)
2018-08-03 11:48 UTC, Filip Balák
no flags Details
Georep faulty (deleted)
2018-08-03 11:50 UTC, Filip Balák
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:00:23 UTC

Description Ambarish 2017-11-25 05:03:58 UTC
Description of problem:
-----------------------

Dashboard shows cluster as healthy and correct count of Geo Rep session stopped , started etc.

When I open the "Volume Overview" page,it says a bunch of things to be "Invalid Number" for some reason - like the brick count,geo rep session details etc

Screenshot attached.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------

[root@gqac015 ~]# rpm -qa|grep tendrl
tendrl-commons-1.5.4-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-5.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-5.el7rhgs.noarch
tendrl-notifier-1.5.4-3.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
[root@gqac015 ~]# 


How reproducible:
------------------

1/1

Comment 2 Ambarish 2017-11-25 05:05:19 UTC
Created attachment 1358881 [details]
Volume Overview

Comment 3 Ambarish 2017-11-25 05:05:48 UTC
Created attachment 1358882 [details]
Dashboard

Comment 4 Ambarish 2017-11-25 08:52:22 UTC
I did a tendrl node agent restart,not sure if that has caused this.

Comment 5 Nishanth Thomas 2017-11-27 10:08:35 UTC
Haven't seen this issue on dev setups. Could you provide a clear reproducer?

Comment 14 Filip Balák 2018-08-03 11:48:49 UTC
Created attachment 1472959 [details]
Georep active

Comment 15 Filip Balák 2018-08-03 11:50:29 UTC
Created attachment 1472960 [details]
Georep faulty

Comment 16 Filip Balák 2018-08-03 11:51:42 UTC
Geo-Replication Session panel seems to be working correctly. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-6.el7rhgs.noarch
tendrl-api-1.6.3-5.el7rhgs.noarch
tendrl-api-httpd-1.6.3-5.el7rhgs.noarch
tendrl-commons-1.6.3-11.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-8.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-8.el7rhgs.noarch
tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-9.el7rhgs.noarch

Comment 18 errata-xmlrpc 2018-09-04 06:59:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.